import { createSvgIcon } from "@mui/material/utils";

const EditIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_694_33564)">
      <path
        d="M37.6675 9.96497C37.5517 9.84806 37.4138 9.7552 37.2619 9.6917C37.1101 9.62821 36.9472 9.59533 36.7825 9.59497C36.6181 9.59501 36.4553 9.62748 36.3034 9.69055C36.1516 9.75361 36.0136 9.84601 35.8975 9.96247L8.59255 37.275C8.35821 37.5094 8.22656 37.8273 8.22656 38.1587C8.22656 38.4902 8.35821 38.8081 8.59255 39.0425L20.9625 51.4125C21.197 51.6468 21.5148 51.7785 21.8463 51.7785C22.1778 51.7785 22.4956 51.6468 22.73 51.4125L50.0225 24.12C50.2561 23.8857 50.3873 23.5683 50.3873 23.2375C50.3873 22.9066 50.2561 22.5893 50.0225 22.355L37.6675 9.96497Z"
        fill="currentColor"
      />
      <path
        d="M6.07501 41.9999C5.91778 41.8432 5.72166 41.7312 5.50681 41.6754C5.29195 41.6196 5.06612 41.622 4.85251 41.6824C4.63856 41.7424 4.44448 41.8584 4.29024 42.0183C4.136 42.1782 4.02719 42.3764 3.97501 42.5924L0.210008 58.2849C0.160321 58.4928 0.164798 58.7101 0.223011 58.9158C0.281224 59.1215 0.391228 59.3088 0.542508 59.4599C0.694762 59.6094 0.882276 59.718 1.08767 59.7756C1.29307 59.8333 1.50971 59.8382 1.71751 59.7899L17.3975 56.0399C17.6137 55.9882 17.8122 55.8797 17.9726 55.7257C18.1329 55.5716 18.2492 55.3776 18.3096 55.1637C18.37 54.9497 18.3722 54.7235 18.316 54.5084C18.2598 54.2933 18.1473 54.097 17.99 53.9399L6.07501 41.9999Z"
        fill="currentColor"
      />
      <path
        d="M58.0001 7.31L52.6926 2C51.5209 0.830595 49.9331 0.173828 48.2776 0.173828C46.6222 0.173828 45.0344 0.830595 43.8626 2L40.3176 5.5425C40.0833 5.77691 39.9517 6.09479 39.9517 6.42625C39.9517 6.7577 40.0833 7.07559 40.3176 7.31L52.6926 19.6825C52.9271 19.9168 53.2449 20.0485 53.5764 20.0485C53.9078 20.0485 54.2257 19.9168 54.4601 19.6825L58.0001 16.135C59.168 14.9635 59.8238 13.3767 59.8238 11.7225C59.8238 10.0683 59.168 8.48153 58.0001 7.31Z"
        fill="currentColor"
      />
    </g>
    <defs>
      <clipPath id="clip0_694_33564">
        <rect width="60" height="60" fill="white" />
      </clipPath>
    </defs>
  </svg>,
  "Edit"
);

export default EditIcon;
